﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using aspnet_mac.Models;
using Microsoft.AspNetCore.Mvc;

namespace aspnet_mac.Controllers
{
    public class HomeController : Controller
    {
		private readonly ArtigoContext _context;
		public HomeController(ArtigoContext context)
		{
			_context = context;
		}

        public IActionResult Index()
        {
            
            return View(_context.Autores.ToList());
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
