﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using aspnet_mac.Models;

namespace aspnet_mac.Migrations
{
    [DbContext(typeof(ArtigoContext))]
    partial class ArtigoContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "1.1.2");

            modelBuilder.Entity("aspnet_mac.Models.Artigo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AutorId");

                    b.Property<string>("Body");

                    b.Property<string>("Titulo");

                    b.Property<string>("Url");

                    b.HasKey("Id");

                    b.HasIndex("AutorId");

                    b.ToTable("Artigos");
                });

            modelBuilder.Entity("aspnet_mac.Models.Autor", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Nome");

                    b.Property<string>("Sobrenome");

                    b.HasKey("Id");

                    b.ToTable("Autores");
                });

            modelBuilder.Entity("aspnet_mac.Models.Artigo", b =>
                {
                    b.HasOne("aspnet_mac.Models.Autor", "Autor")
                        .WithMany("Artigos")
                        .HasForeignKey("AutorId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
        }
    }
}
