﻿using System.Collections.Generic;
using System.Linq;
using aspnet_mac.Models;
using Microsoft.AspNetCore.Mvc;

namespace aspnet_mac.Controllers
{
    [Route("api/[controller]")]
    public class AutoresController : Controller
    {
		private readonly ArtigoContext _context;
		public AutoresController(ArtigoContext context)
		{
			_context = context;
		}

		// GET: api/autores
		public IEnumerable<Autor> Get()
		{
			return _context.Autores.ToList();
		}

		// GET api/autores/5
		[HttpGet("{id}")]
		public Autor Get(int id)
		{
			return _context.Autores.FirstOrDefault(x => x.Id == id);
		}

		// POST api/autores
		[HttpPost]
		public IActionResult Post([FromBody]Autor value)
		{
			_context.Autores.Add(value);
			_context.SaveChanges();
			return StatusCode(201, value);
		}
    }
}